Skip to main content
POST
Create Employee Bank Accounts Bulk

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization_id
required
employee_id
required

Body

application/json
financial_institution_name
string
required
Examples:

"Deutsche Bank"

"Lloyds Bank"

account_number
string | null
Example:

"DE: DE89370400440532013000"

routing_number
string | null
Required string length: 9
Example:

"DE: 370400440"

iban
string | null
Maximum string length: 34
Example:

"DE: DE89370400440532013000"

swift_code
string | null
Required string length: 8 - 11
Pattern: [A-Z0-9]{4}[A-Z]{2}[A-Z0-9]{2}(:?[A-Z0-9]{3})?
Example:

"DE: COBADEFFXXX"

account_details
Account Details · object | null
is_active
boolean
default:true
is_primary
boolean
default:false

Response

Successful Response

financial_institution_name
string
required
Examples:

"Deutsche Bank"

"Lloyds Bank"

id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
account_number
string | null
Example:

"DE: DE89370400440532013000"

routing_number
string | null
Required string length: 9
Example:

"DE: 370400440"

iban
string | null
Example:

"DE: DE89370400440532013000"

swift_code
string | null
Example:

"DE: COBADEFFXXX"

account_details
Account Details · object | null
is_active
boolean
default:true
is_primary
boolean
default:false